<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:48:39 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contributions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contributions</div>
<h2 title="Class ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand" class="title">Class ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.operations.AbstractOperation</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.workspace.AbstractEMFOperation</li>
<li>
<ul class="inheritance">
<li>org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contributions.ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.core.commands.operations.IUndoableOperation, org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contributions">ConstraintWithVSLPopupEditorConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>protected class <span class="typeNameLabel">ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand</span>
extends org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>CEA LIST

         A command for updating the context UML model</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html#UpdateConstraintWithVSLCommand-org.eclipse.uml2.uml.Constraint-java.lang.String-">UpdateConstraintWithVSLCommand</a></span>(org.eclipse.uml2.uml.Constraint&nbsp;constraint,
                              <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newBody)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected org.eclipse.gmf.runtime.common.core.command.CommandResult</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html#doExecuteWithResult-org.eclipse.core.runtime.IProgressMonitor-org.eclipse.core.runtime.IAdaptable-">doExecuteWithResult</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;arg0,
                   org.eclipse.core.runtime.IAdaptable&nbsp;arg1)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand</h3>
<code>aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.workspace.AbstractEMFOperation">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.workspace.AbstractEMFOperation</h3>
<code>canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.commands.operations.AbstractOperation">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.core.commands.operations.AbstractOperation</h3>
<code>addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.gmf.runtime.common.core.command.ICommand">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.gmf.runtime.common.core.command.ICommand</h3>
<code>setLabel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.commands.operations.IUndoableOperation">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.core.commands.operations.IUndoableOperation</h3>
<code>addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UpdateConstraintWithVSLCommand-org.eclipse.uml2.uml.Constraint-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UpdateConstraintWithVSLCommand</h4>
<pre>public&nbsp;UpdateConstraintWithVSLCommand(org.eclipse.uml2.uml.Constraint&nbsp;constraint,
                                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newBody)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="doExecuteWithResult-org.eclipse.core.runtime.IProgressMonitor-org.eclipse.core.runtime.IAdaptable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>doExecuteWithResult</h4>
<pre>protected&nbsp;org.eclipse.gmf.runtime.common.core.command.CommandResult&nbsp;doExecuteWithResult(org.eclipse.core.runtime.IProgressMonitor&nbsp;arg0,
                                                                                        org.eclipse.core.runtime.IAdaptable&nbsp;arg1)
                                                                                 throws org.eclipse.core.commands.ExecutionException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>doExecuteWithResult</code>&nbsp;in class&nbsp;<code>org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.contributions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/contributions/ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLPopupEditorConfiguration.UpdateConstraintWithVSLCommand.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
